<?php

/*
	[DISCUZ!] index.php - Crossday Discuz! Board index page
	This is NOT a freeware, use is subject to license terms

	Version: 4.0.0
	Web: http://www.comsenz.com
	Copyright: 2001-2005 Comsenz Technology Ltd.
	Last Modified: 2005-3-6 16:18
*/

define('CURSCRIPT', 'index');

require_once './include/common.inc.php';
require_once DISCUZ_ROOT.'./include/forum.func.php';

$discuz_action = 1;

$validdays = $discuz_uid && !empty($groupexpiry) && $groupexpiry >= $timestamp ?
	ceil(($groupexpiry - $timestamp) / 86400) : 0;

if(isset($showoldetails)) {
	switch($showoldetails) {
		case 'no': dsetcookie('onlineindex', 0, 86400 * 365); break;
		case 'yes': dsetcookie('onlineindex', 1, 86400 * 365); break;
	}
} else {
	$showoldetails = false;
}

$currenttime = gmdate($timeformat, $timestamp + $timeoffset * 3600);
$lastvisittime = gmdate("$dateformat $timeformat", $lastvisit + $timeoffset * 3600);

$memberenc = rawurlencode($lastmember);
$newthreads = round(($timestamp - $lastvisit + 600) / 1000) * 1000;

//-----------------------------------------
if (empty($action))
{
        $time_limit = time()-3600*24*7;
        $query=$db->query("SELECT * FROM $tablepre"."plugin_song WHERE stime>='$time_limit' ORDER BY stime DESC");
        $num=0;
        while($result = $db->fetch_array($query)) {        
                $touser=$result['touser'];
                $username=$result['username'];
                $songurl=$result['songurl'];
                $content=$result['content'];
                $sgid=$result['sgid'];
                $songname=$result['songname'];
                $stime = date('Y年m月d日',$result['stime']);
                $num++;
        
                $temp1.="<center><a href=\"hearsong.php?songid=$sgid\"><font color=blue>$username</font> 点了一首 <u><font color=green>$songname</font></u> 送给 <font color=RED>$touser</font> 听，并想对".$touser."说： <font color=RED>$content</font></a>　($stime)";
        }
}

if($num==0) {         
        $temp1.='<center> 目前没有点歌信息！';
}
//-----------------------------------------

if(empty($gid)) {

	$navigation = $navtitle = '';

	$announcements = '';
	if($_DCACHE['announcements']) {
		$space = '';
		foreach($_DCACHE['announcements'] as $announcement) {
			if($timestamp >= $announcement['starttime'] && ($timestamp <= $announcement['endtime'] || !$announcement['endtime'])) {
				$announcements .= $space.'<a href="announcement.php?id='.$announcement['id'].'#'.$announcement['id'].'"><span class="bold">'.$announcement['subject'].'</span> '.
					'('.gmdate($dateformat, $announcement['starttime'] + $timeoffset * 3600).')</a>';
				$space = '&nbsp; &nbsp; &nbsp; &nbsp;';
			}
		}
	}
	unset($_DCACHE['announcements']);

	$threads = $posts = $todayposts = 0;
	$forumlist = $catforumlist = $forums = $catforums = $categories = $collapse = array();

	$sql = !empty($accessmasks)	?
				"SELECT f.fid, f.fup, f.type, f.name, f.threads, f.posts, f.todayposts, f.lastpost, f.inheritedmod, ff.description, ff.moderators, ff.icon, ff.viewperm, a.allowview FROM {$tablepre}forums f
					LEFT JOIN {$tablepre}forumfields ff ON ff.fid=f.fid
					LEFT JOIN {$tablepre}access a ON a.uid='$discuz_uid' AND a.fid=f.fid
					WHERE f.status='1' ORDER BY f.type, f.displayorder"
				: "SELECT f.fid, f.fup, f.type, f.name, f.threads, f.posts, f.todayposts, f.lastpost, f.inheritedmod, ff.description, ff.moderators, ff.icon, ff.viewperm FROM {$tablepre}forums f
					LEFT JOIN {$tablepre}forumfields ff USING(fid)
					WHERE f.status='1' ORDER BY f.type, f.displayorder";

	$query = $db->query($sql);

	while($forum = $db->fetch_array($query)) {
		$forumname[$forum['fid']] = strip_tags($forum['name']);
		if($forum['type'] != 'group') {
			$threads += $forum['threads'];
			$posts += $forum['posts'];
			$todayposts += forumtodayposts($forum);

			if($forum['type'] != 'sub') {
				$forums[$forum['fid']] = $forum;
			} else {
				if($subforumsindex) {
					$forums[$forum['fup']]['subforums'][] = '<a href="forumdisplay.php?fid='.$forum['fid'].'">'.$forum['name'].'</a>';
				}
				$forums[$forum['fup']]['threads'] += $forum['threads'];
				$forums[$forum['fup']]['posts'] += $forum['posts'];
				$forums[$forum['fup']]['todayposts'] += $forum['todayposts'];
			}
		} else {
			$forum['moderators'] = moddisplay($forum['moderators'], 'flat');
			if(!isset($_COOKIE['discuz_collapse']) || strpos($_COOKIE['discuz_collapse'], 'category_'.$forum['fid'].' ') === FALSE) {
				$forum['collapseimg'] = 'collapsed_no.gif';
				$collapse['category_'.$forum['fid']] = '';
			} else {
				$forum['collapseimg'] = 'collapsed_yes.gif';
				$collapse['category_'.$forum['fid']] = 'display: none';
			}
			$categories[] = $forum;
		}
	}

	if($categories) {
		foreach($categories as $group) {
			$group_forum = array();
			foreach($forums as $fid => $forum) {
				if($forum['fup'] == $group['fid']) {
					if(forum($forum)) {
						$group_forum[] = $forum;
						unset($forums[$fid]);
					}
				} elseif(!$forum['fup'] && $forum['type'] == 'forum') {
					$catforums[] = $forum;
					unset($forums[$fid]);
				}
			}
			if($group_forum) {
				$forumlist = array_merge($forumlist, array($group), $group_forum);
			}
		}
	} else {
		$catforums = $forums;
	}

 	foreach($catforums as $forum) {
		if(forum($forum)) {
			$catforumlist[] = $forum;
		}
	}
	if($catforumlist) {
		$forum = array('fid' => 0, 'type' => 'group', 'name' => $bbname);
		if(strpos($_COOKIE['discuz_collapse'], 'category_0 ') === FALSE) {
			$forum['collapseimg'] = 'collapsed_no.gif';
			$collapse['category_0'] = '';
		} else {
			$forum['collapseimg'] = 'collapsed_yes.gif';
			$collapse['category_'.$forum['fid']] = 'display: none';
		}
		$forumlist = array_merge($forumlist, array($forum), $catforumlist);
	}

	unset($fid, $forums, $catforums, $catforumlist, $categories, $group, $forum, $group_forum);

	if(!isset($_COOKIE['discuz_collapse']) || strpos($_COOKIE['discuz_collapse'], 'forumlinks ') === FALSE) {
		$linkcollapseimg = 'collapsed_no.gif';
		$collapse['forumlinks'] = '';
	} else {
		$linkcollapseimg = 'collapsed_yes.gif';
		$collapse['forumlinks'] = 'display: none';
	}

	if($whosonlinestatus == 1 || $whosonlinestatus == 3) {
		$whosonlinestatus = 1;

		$onlineinfo = explode("\t", $onlinerecord);
		$detailstatus = ((empty($_DCOOKIE['onlineindex']) && $onlineinfo[0] < 500) || (!empty($_DCOOKIE['onlineindex']) || $showoldetails == 'yes')) && $showoldetails != 'no';

		if($detailstatus) {
			@include language('actions');

			updatesession();
			$membercount = $invisiblecount = 0;
			$whosonline = array();
			$query = $db->query("SELECT uid, username, groupid, invisible, action, lastactivity, fid, gender FROM {$tablepre}sessions ORDER BY lastactivity DESC");
			while($online = $db->fetch_array($query)) {
				if($online['uid']) {
					$membercount++;
					if(!$online['invisible']) {
						if($online['gender']<=1)
						{
						  $online['icon'] = isset($_DCACHE['onlinelist'][$online['groupid']][0]) ? $_DCACHE['onlinelist'][$online['groupid']][0] : $_DCACHE['onlinelist'][0][0];
					  }
					  else{
					    if( $_DCACHE['onlinelist'][$online['groupid']][1] != "" )
					      $online['icon'] = $_DCACHE['onlinelist'][$online['groupid']][1];
					    else if( $_DCACHE['onlinelist'][$online['groupid']][0] != "" )
					      $online['icon'] = $_DCACHE['onlinelist'][$online['groupid']][0];
					    else
					      $online['icon'] = $_DCACHE['onlinelist'][0][0];
					  }
					} else {
						$invisiblecount++;
            if ($adminid == 1) {
//              $online['icon'] = isset($_DCACHE['onlinelist'][$online['groupid']]) ? $_DCACHE['onlinelist'][$online['groupid']] : $_DCACHE['onlinelist'][0];
							if($online['gender']<=1)
							{
							  $online['icon'] = isset($_DCACHE['onlinelist'][$online['groupid']][0]) ? $_DCACHE['onlinelist'][$online['groupid']][0] : $_DCACHE['onlinelist'][0][0];
						  }
						  else{
						    if( $_DCACHE['onlinelist'][$online['groupid']][1] != "" )
						      $online['icon'] = $_DCACHE['onlinelist'][$online['groupid']][1];
						    else if( $_DCACHE['onlinelist'][$online['groupid']][0] != "" )
						    	$online['icon'] = $_DCACHE['onlinelist'][$online['groupid']][0];
						  	else
						      $online['icon'] = $_DCACHE['onlinelist'][0][0];
						  }
            }else{
              continue;
            }
					}

					$online['fid'] = $online['fid'] ? $forumname[$online['fid']] : 0;
					$online['action'] = $actioncode[$online['action']];
					$online['lastactivity'] = gmdate($timeformat, $online['lastactivity'] + ($timeoffset * 3600));
					$whosonline[] = $online;
          } else {
            if (isset($_DCACHE['onlinelist'][7])) {
              $online['icon'] = $_DCACHE['onlinelist'][7];
              $online['username'] = 'Guest';
              $online['fid'] = $online['fid'] ? $forumname[$online['fid']] : 0;
              $online['action'] = $actioncode[$online['action']];
              $online['lastactivity'] = gmdate($timeformat, $online['lastactivity'] + ($timeoffset * 3600));
              $whosonline[] = $online;
            }
				}
			}
			$onlinenum = $db->num_rows($query);
			$guestcount = $onlinenum - $membercount;
			unset($online);
		} else {
			$query = $db->query("SELECT COUNT(*) FROM {$tablepre}sessions");
			$onlinenum = $db->result($query, 0);
		}

		if($onlinenum > $onlineinfo[0]) {
			$db->query("UPDATE {$tablepre}settings SET value='$onlinenum\t$timestamp' WHERE variable='onlinerecord'");
			require_once DISCUZ_ROOT.'./include/cache.func.php';
			updatecache('settings');
			$onlineinfo = array($onlinenum, $timestamp);
		}

		$onlineinfo[1] = gmdate($dateformat, $onlineinfo[1] + ($timeoffset * 3600));
	} else {
		$whosonlinestatus = 0;
	}

	if($discuz_uid && $newpm) {
		require_once DISCUZ_ROOT.'./include/pmprompt.inc.php';
	}

  //生日插件开始
  if (!file_exists("./forumdata/templates/birthday.php")){
        $birthfile=fopen("./forumdata/templates/birthday.php",w);
  }
  require_once DISCUZ_ROOT.'./forumdata/templates/birthday.php';

  if ($birthday_time != date(Ymd)){
        $birthday_time = date(Ymd);
        $birthday_today = getdate();
        $birthday_month = $birthday_today['mon'];
        $birthday_day = $birthday_today['mday'];
        $birthday_year = $birthday_today['year'];
        $query = $db->query("SELECT uid,username,bday,$birthday_year-YEAR(bday) as age FROM {$tablepre}members where MONTH(bday)='$birthday_month' and DAYOFMONTH(bday)='$birthday_day' ORDER BY bday DESC;");
        $birthday_list = '';
        $comma = '';
        $birthday_num =0;
        while ($temp = $db->fetch_array($query)) {
        $msgtext='今天是你的生日，轩辕春秋文化论坛祝你生日快乐!!';//自定义短消息内容
        $db->query("INSERT INTO {$tablepre}pms (msgfrom, msgfromid, msgtoid, folder, new, subject, dateline, message)VALUES('System Message', '0', '$temp[uid]', 'inbox', '1', '生日祝福', '$timestamp', '$msgtext')");
        $db->query("UPDATE {$tablepre}members SET newpm='1' WHERE uid='$temp[uid]'");

                $birthday_list .= "$comma <a href=\\\"viewpro.php?username=".rawurlencode($temp['username'])."\\\" title='生日：".$temp['bday']."'>".$temp ['username']."</a>(".$temp['age'].")";
                $comma = "\n, \n";
                $birthday_num ++;
        }
        unset($temp,$birthday_today);
        $fp=fopen("./forumdata/templates/birthday.php",w);
        fwrite($fp,"<?php\r\n\$birthday_list=\"");
        fwrite($fp,$birthday_list);
        fwrite($fp,"\";\r\n");
        fwrite($fp,"\$birthday_num=".$birthday_num.";\r\n");
        fwrite($fp,"\$birthday_time=".$birthday_time.";\r\n");
        fwrite($fp,"?>");
  }
  //生日插件结束

} else {

	require_once DISCUZ_ROOT.'./include/category.inc.php';

}

include template('index');

?>